brancher.hpp File Reference

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Set
| Finite integer sets.
namespace | Gecode::Set::LDSB
| Symmetry breaking for set variables.

## Functions

template<class View>
ValueSymmetryImp< View > * | Gecode::Set::LDSB::specialUpdate (Space &home, ValueSymmetryImp< View > *s, IntSet usedValues)
| Bulk update of a value symmetry s, using usedValues.
template<class View, int n, class Val, unsigned int a>
void | Gecode::Set::LDSB::postldsbsetbrancher (Home home, ViewArray< View > &x, ViewSel< View > *vs[n], ValSelCommitBase< View, Val > *vsc, SymmetryImp< View > **syms, int nsyms, BranchFilter< typename View::VarType > bf, VarValPrint< typename View::VarType, Val > vvp)